Create ACL
Create a new ACL. If there is an existing ACL with the same contents as the one specified in the request, will return the existing ACL unmodified
Authorizations
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Body
Any desired information about the new ACL object
An ACL grants a certain permission or role to a certain user or group on an object.
ACLs are inherited across the object hierarchy. So for example, if a user has read permissions on a project, they will also have read permissions on any experiment, dataset, etc. created within that project.
To restrict a grant to a particular sub-object, you may specify restrict_object_type in the ACL, as part of a direct permission grant or as part of a role.
The object type that the ACL applies to
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account When setting a permission directly, optionally restricts the permission grant to just the specified object type. Cannot be set alongside a role_id.
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account Response
Returns the new ACL object
An ACL grants a certain permission or role to a certain user or group on an object.
ACLs are inherited across the object hierarchy. So for example, if a user has read permissions on a project, they will also have read permissions on any experiment, dataset, etc. created within that project.
To restrict a grant to a particular sub-object, you may specify restrict_object_type in the ACL, as part of a direct permission grant or as part of a role.
The object type that the ACL applies to
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account When setting a permission directly, optionally restricts the permission grant to just the specified object type. Cannot be set alongside a role_id.
organization, project, experiment, dataset, prompt, prompt_session, group, role, org_member, project_log, org_project, org_audit_logs, project_group, project_group_projects, ai_secret, org_ai_secret, org_account